<?php
 header("Access-Control-Allow-Origin: *");
 header("Content-Type: application/json; charset=UTF-8");
include 'dbconfig.php';

if(isset($_SERVER['HTTP_ORIGIN'])) {
        header("Access-Control-Allow-Origin: {$_SERVER['HTTP_ORIGIN']}");
        header('Access-Control-Allow-Credentials: true');
        header('Access-Control-Max-Age: 86400');    // cache for 1 day
}
// Access-Control headers are received during OPTIONS requests
if($_SERVER['REQUEST_METHOD'] == 'OPTIONS') {

        if (isset($_SERVER['HTTP_ACCESS_CONTROL_REQUEST_METHOD']))
            header("Access-Control-Allow-Methods: GET, POST, OPTIONS");         

        if (isset($_SERVER['HTTP_ACCESS_CONTROL_REQUEST_HEADERS']))
            header("Access-Control-Allow-Headers:        {$_SERVER['HTTP_ACCESS_CONTROL_REQUEST_HEADERS']}");

        exit(0);
}

// Check connection
if ($conn->connect_error) {
    die("Connection failed: " . $conn->connect_error);
} 
$json = json_decode(file_get_contents('php://input'), true);
$email= mysqli_real_escape_string($conn,$json['email']);	
$password=sha1(mysqli_real_escape_string($conn,$json['password']));	
$sql="select U.user_id, U.user_name, ur.role_id, U.last_logged_on, r.role_name FROM users U JOIN user_details ud ON U.user_id = ud.user_id JOIN user_roles ur ON U.user_id = ur.user_id JOIN roles r ON ur.role_id = r.role_id WHERE U.active = 1 AND (U.user_name = '". $email ."' OR ud.email = '". $email ."') AND U.password = '". $password ."' and ur.role_id IN(2,3)";	
$result = $conn->query($sql);
$arr=array();
if(mysqli_num_rows($result)>0){
// output data of each row
while($row = mysqli_fetch_assoc($result)) {
    $arr[]=array("id" => $row['user_id'],"role_id" => $row['role_id'],"success" =>'1');
}
$data = array('data' => $arr);
echo json_encode( $data);     
$conn->close();
}else{
$arr[]=array("success" =>'0');
$data = array('data' => $arr);
echo json_encode( $data);  
}
?>